package com.bocloud.cmp.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 集群业务类
 *
 * @author wei wei
 * @version 1.0
 * @since 2016.12.28
 */
public class ClusterBean {
    private Long id;
    private String uuid;
    private Long vendorId; // 云供应商ID
    private Date gmtExpired;// 过期时间
    private Long cpuTotal;
    private Long memTotal;
    private Long diskTotal;
    private Long cpuUsed;
    private Long memUsed;
    private Long diskUsed;
    private Long vdcId;
    private String category;
    private String name; // 名称
    private String remark; // 描述
    private Long regionId;// 域
    private Long cpuExcessRatio;// CPU超分比
    private BigDecimal cpuDistributableRatio;// CPU可分配百分比
    private BigDecimal memDistributableRatio;// 内存可分配百分比
    private String initialPolicy; // 布置策略
    private List<String> hostNames;
    private String clusterName;
    private List<Long> serverIds;
    private String vendorType;

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the uuid
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * @param uuid the uuid to set
     */
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the vendorId
     */
    public Long getVendorId() {
        return vendorId;
    }

    /**
     * @param vendorId the vendorId to set
     */
    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    /**
     * @return the gmtExpired
     */
    public Date getGmtExpired() {
        return gmtExpired;
    }

    /**
     * @param gmtExpired the gmtExpired to set
     */
    public void setGmtExpired(Date gmtExpired) {
        this.gmtExpired = gmtExpired;
    }

    /**
     * @return the cpuTotal
     */
    public Long getCpuTotal() {
        return cpuTotal;
    }

    /**
     * @param cpuTotal the cpuTotal to set
     */
    public void setCpuTotal(Long cpuTotal) {
        this.cpuTotal = cpuTotal;
    }

    /**
     * @return the memTotal
     */
    public Long getMemTotal() {
        return memTotal;
    }

    /**
     * @param memTotal the memTotal to set
     */
    public void setMemTotal(Long memTotal) {
        this.memTotal = memTotal;
    }

    /**
     * @return the diskTotal
     */
    public Long getDiskTotal() {
        return diskTotal;
    }

    /**
     * @param diskTotal the diskTotal to set
     */
    public void setDiskTotal(Long diskTotal) {
        this.diskTotal = diskTotal;
    }

    /**
     * @return the cpuUsed
     */
    public Long getCpuUsed() {
        return cpuUsed;
    }

    /**
     * @param cpuUsed the cpuUsed to set
     */
    public void setCpuUsed(Long cpuUsed) {
        this.cpuUsed = cpuUsed;
    }

    /**
     * @return the memUsed
     */
    public Long getMemUsed() {
        return memUsed;
    }

    /**
     * @param memUsed the memUsed to set
     */
    public void setMemUsed(Long memUsed) {
        this.memUsed = memUsed;
    }

    /**
     * @return the diskUsed
     */
    public Long getDiskUsed() {
        return diskUsed;
    }

    /**
     * @param diskUsed the diskUsed to set
     */
    public void setDiskUsed(Long diskUsed) {
        this.diskUsed = diskUsed;
    }

    /**
     * @return the vdcId
     */
    public Long getVdcId() {
        return vdcId;
    }

    /**
     * @param vdcId the vdcId to set
     */
    public void setVdcId(Long vdcId) {
        this.vdcId = vdcId;
    }

    /**
     * @return the category
     */
    public String getCategory() {
        return category;
    }

    /**
     * @param category the category to set
     */
    public void setCategory(String category) {
        this.category = category;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the regionId
     */
    public Long getRegionId() {
        return regionId;
    }

    /**
     * @param regionId the regionId to set
     */
    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public Long getCpuExcessRatio() {
        return cpuExcessRatio;
    }

    public void setCpuExcessRatio(Long cpuExcessRatio) {
        this.cpuExcessRatio = cpuExcessRatio;
    }

    public BigDecimal getCpuDistributableRatio() {
        return cpuDistributableRatio;
    }

    public void setCpuDistributableRatio(BigDecimal cpuDistributableRatio) {
        this.cpuDistributableRatio = cpuDistributableRatio;
    }

    public BigDecimal getMemDistributableRatio() {
        return memDistributableRatio;
    }

    public void setMemDistributableRatio(BigDecimal memDistributableRatio) {
        this.memDistributableRatio = memDistributableRatio;
    }

    public String getInitialPolicy() {
        return initialPolicy;
    }

    public void setInitialPolicy(String initialPolicy) {
        this.initialPolicy = initialPolicy;
    }

    public List<String> getHostNames() {
        return hostNames;
    }

    public void setHostNames(List<String> hostNames) {
        this.hostNames = hostNames;
    }

	public String getClusterName() {
		return clusterName;
	}

	public void setClusterName(String clusterName) {
		this.clusterName = clusterName;
	}

	public List<Long> getServerIds() {
		return serverIds;
	}

	public void setServerIds(List<Long> serverIds) {
		this.serverIds = serverIds;
	}

	public String getVendorType() {
		return vendorType;
	}

	public void setVendorType(String vendorType) {
		this.vendorType = vendorType;
	}
    
}
